//
//  RLPBiController.h
//  RLPBi
//
//  Created by Brian Quan on 01/11/2012.
//  Copyright (c) 2012 Brian Quan. All rights reserved.
//

#include <Foundation/Foundation.h>
#include <ExternalAccessory/ExternalAccessory.h>

extern NSString *RLPBiSessionDataReceivedNotification;

@interface RLPBiController : NSObject

+ (RLPBiController *)sharedController;
- (void)setupControllerForAccessory:(EAAccessory *)accessory withProtocolString:(NSString *)protocolString;
- (BOOL)openSession;
- (void)closeSession;
- (void)writeData:(NSData *)data;
- (NSUInteger)readBytesAvailable;
- (NSData *)readData:(NSUInteger)bytesToRead;

@property (nonatomic, readonly, strong) EAAccessory *accessory;
@property (nonatomic, readonly, strong) NSString *protocolString;

@end